The main job a Warsmith does is make items. But if you look at it from a perspective of war, it is quite a strange occupation. You can use your golems you have summoned during war. But unlike Summoners of other races, the basic physical strength of Warsmiths are pretty strong, so they can fight at the front line with their golems. Also if you are a Warsmith you can even summon siege weapons. This can only be done by Warsmiths.
Skills are mainly crafting items and summoning golems and siege weapons to fight.
To be a Warsmith, your level must be over 40 and you need to collect the Mark of the Guildsman, the Mark of Prosperity, and the Mark of the Maestro.
Ask about marks.
Return